//
//  TekpubTodoViewController.h
//  TekpubTodo
//
//  Created by Andrew Gaskell on 3/12/11.
//  Copyright 2011 Zubago Inc. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "TodoEditorController.h"
#import "Todo.h"
#import "JSON.h"

@interface TekpubTodoViewController : UIViewController <UITableViewDelegate, UITableViewDataSource, TodoEditorDelegate> {
    UINavigationBar *navBar;
    NSMutableArray *items;
    IBOutlet UITableView *_tableView;
    BOOL editing;
    Todo *lastEditedTodo;
	SBJsonStreamParser *parser;
	SBJsonStreamParserAdapter *adapter;
    
}

-(IBAction)edit;
-(IBAction)addButtonPushed;

@end
