//
//  TodoEditorController.h
//  TekpubTodo
//
//  Created by Andrew Gaskell on 3/12/11.
//  Copyright 2011 Zubago Inc. All rights reserved.
//

#import <UIKit/UIKit.h>

@protocol TodoEditorDelegate;

@interface TodoEditorController : UIViewController <UITableViewDelegate, UITableViewDataSource, UITextFieldDelegate> {
    id<TodoEditorDelegate> delegate;
    UITextField *textField;
    
}

@property (nonatomic, assign) id<TodoEditorDelegate> delegate;
@property (nonatomic, readonly) NSString *text;
@property (nonatomic, copy) NSString *defaultText;

-(IBAction)save;
-(IBAction)cancel;

@end

@protocol TodoEditorDelegate
 
-(void)todoEditor:(TodoEditorController *)editor didFinishWithResult:(BOOL)result;

@end